Index: /code/branches/FICN/src/audio/AudioBuffer.cc
===================================================================
--- /code/branches/FICN/src/audio/AudioBuffer.cc	(revision 714)
+++ /code/branches/FICN/src/audio/AudioBuffer.cc	(revision 715)
@@ -30,5 +30,5 @@
 namespace audio
 {
-	AudioBuffer::AudioBuffer(orxonox::String fileName)
+	AudioBuffer::AudioBuffer(std::string fileName)
 	{
 		// Load wav data into buffers.
Index: /code/branches/FICN/src/audio/AudioBuffer.h
===================================================================
--- /code/branches/FICN/src/audio/AudioBuffer.h	(revision 714)
+++ /code/branches/FICN/src/audio/AudioBuffer.h	(revision 715)
@@ -9,5 +9,5 @@
 	{
 	public:
-		AudioBuffer(orxonox::String fileName);
+		AudioBuffer(std::string fileName);
 		~AudioBuffer();
 	private:
@@ -15,5 +15,5 @@
 		ALuint buffer;
 		// Identifier
-		orxonox::String name;
+		std::string name;
 		// True if AL was able to load data
 		ALboolean loaded;
Index: /code/branches/FICN/src/audio/AudioIncludes.h
===================================================================
--- /code/branches/FICN/src/audio/AudioIncludes.h	(revision 714)
+++ /code/branches/FICN/src/audio/AudioIncludes.h	(revision 715)
@@ -1,4 +1,5 @@
 #include <iostream>
 #include <vector>
+#include <string>
 
 #include <AL/al.h>
@@ -11,3 +12,2 @@
 
 #include "orxonox/core/Error.h"
-#include "misc/String.h"
Index: /code/branches/FICN/src/audio/AudioManager.cc
===================================================================
--- /code/branches/FICN/src/audio/AudioManager.cc	(revision 714)
+++ /code/branches/FICN/src/audio/AudioManager.cc	(revision 715)
@@ -72,7 +72,7 @@
 	}
 
-	void AudioManager::ambientAdd(orxonox::String file)
+	void AudioManager::ambientAdd(std::string file)
 	{
-    orxonox::String path = ambientPath + "/" + file + ".ogg";
+    std::string path = ambientPath + "/" + file + ".ogg";
 		AudioStream tmp(path);
 		tmp.open();
Index: /code/branches/FICN/src/audio/AudioManager.h
===================================================================
--- /code/branches/FICN/src/audio/AudioManager.h	(revision 714)
+++ /code/branches/FICN/src/audio/AudioManager.h	(revision 715)
@@ -37,5 +37,5 @@
 		void update();
 
-		void ambientAdd(orxonox::String file);
+		void ambientAdd(std::string file);
 		void ambientStart();
 		void ambientStop();
@@ -49,5 +49,5 @@
 
 
-		orxonox::String ambientPath;
+		std::string ambientPath;
 	
 		// Vector containing all audio files
Index: /code/branches/FICN/src/audio/AudioStream.cc
===================================================================
--- /code/branches/FICN/src/audio/AudioStream.cc	(revision 714)
+++ /code/branches/FICN/src/audio/AudioStream.cc	(revision 715)
@@ -26,12 +26,12 @@
  */
 
+#include <string>
 
 #include "AudioStream.h"
-#include "misc/String.h"
 #include "../orxonox/core/Debug.h"
 
 namespace audio
 {
-  AudioStream::AudioStream(orxonox::String path)
+  AudioStream::AudioStream(std::string path)
 	{
 		this->path = path;
@@ -255,20 +255,20 @@
 
 
-	orxonox::String AudioStream::errorString(int code)
+	std::string AudioStream::errorString(int code)
 	{
 	    switch(code)
 	    {
 	        case OV_EREAD:
-	            return orxonox::String("Read from media.");
+	            return std::string("Read from media.");
 	        case OV_ENOTVORBIS:
-	            return orxonox::String("Not Vorbis data.");
+	            return std::string("Not Vorbis data.");
 	        case OV_EVERSION:
-	            return orxonox::String("Vorbis version mismatch.");
+	            return std::string("Vorbis version mismatch.");
 	        case OV_EBADHEADER:
-	            return orxonox::String("Invalid Vorbis header.");
+	            return std::string("Invalid Vorbis header.");
 	        case OV_EFAULT:
-	            return orxonox::String("Internal logic fault (bug or heap/stack corruption.");
+	            return std::string("Internal logic fault (bug or heap/stack corruption.");
 	        default:
-	            return orxonox::String("Unknown Ogg error.");
+	            return std::string("Unknown Ogg error.");
 	    }
 	}
Index: /code/branches/FICN/src/audio/AudioStream.h
===================================================================
--- /code/branches/FICN/src/audio/AudioStream.h	(revision 714)
+++ /code/branches/FICN/src/audio/AudioStream.h	(revision 715)
@@ -11,5 +11,5 @@
   {
     public:
-      AudioStream(orxonox::String path);
+      AudioStream(std::string path);
       void open();
       void release();
@@ -24,8 +24,8 @@
       void empty();
       void check();
-      orxonox::String errorString(int code);
+      std::string errorString(int code);
 
     private:
-      orxonox::String path;
+      std::string path;
 
       FILE*           oggFile;
Index: /code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- /code/branches/FICN/src/loader/LevelLoader.cc	(revision 714)
+++ /code/branches/FICN/src/loader/LevelLoader.cc	(revision 715)
@@ -42,5 +42,5 @@
 {
 
-  LevelLoader::LevelLoader(orxonox::String file, orxonox::String path)
+  LevelLoader::LevelLoader(std::string file, std::string path)
   {
     valid_ = false;
@@ -155,5 +155,5 @@
 
               tElem = tNode->ToElement();
-              orxonox::String elemVal = tElem->Value();
+              std::string elemVal = tElem->Value();
               if (elemVal == "ogg")
               {
Index: /code/branches/FICN/src/loader/LevelLoader.h
===================================================================
--- /code/branches/FICN/src/loader/LevelLoader.h	(revision 714)
+++ /code/branches/FICN/src/loader/LevelLoader.h	(revision 715)
@@ -9,7 +9,7 @@
 #define _LevelLoader_H__
 
+#include <string>
+
 #include "LoaderPrereqs.h"
-
-#include "misc/String.h"
 #include "tinyxml/tinyxml.h"
 
@@ -23,5 +23,5 @@
   public:
     // Constructors, loads the level file and some information data
-    LevelLoader(orxonox::String file, orxonox::String dir = "levels");
+    LevelLoader(std::string file, std::string dir = "levels");
     // Destructor
     virtual ~LevelLoader();
@@ -30,19 +30,19 @@
 
     // Getters
-    inline orxonox::String name() {return name_; };
-    inline orxonox::String description() {return description_; };
-    inline orxonox::String image() {return image_; };
+    inline std::string name() {return name_; };
+    inline std::string description() {return description_; };
+    inline std::string image() {return image_; };
   private:
     //! Level information
-    orxonox::String name_;
-    orxonox::String description_;
-    orxonox::String image_;
-    orxonox::String loadingBackgroundColor_;
-    orxonox::String loadingBackgroundImage_;
-    orxonox::String loadingBarImage_;
-    orxonox::String loadingBarTop_;
-    orxonox::String loadingBarLeft_;
-    orxonox::String loadingBarWidth_;
-    orxonox::String loadingBarHeight_;
+    std::string name_;
+    std::string description_;
+    std::string image_;
+    std::string loadingBackgroundColor_;
+    std::string loadingBackgroundImage_;
+    std::string loadingBarImage_;
+    std::string loadingBarTop_;
+    std::string loadingBarLeft_;
+    std::string loadingBarWidth_;
+    std::string loadingBarHeight_;
 
     //! Set to true if it was possible to load the level file
Index: /code/branches/FICN/src/orxonox/GraphicsEngine.cc
===================================================================
--- /code/branches/FICN/src/orxonox/GraphicsEngine.cc	(revision 714)
+++ /code/branches/FICN/src/orxonox/GraphicsEngine.cc	(revision 715)
@@ -65,7 +65,7 @@
 #endif*/
 #if defined(_DEBUG) && defined(WIN32)
-    String plugin_filename = "plugins_d.cfg";
+    std::string plugin_filename = "plugins_d.cfg";
 #else
-    String plugin_filename = "plugins.cfg";
+    std::string plugin_filename = "plugins.cfg";
 #endif
     root_ = new Root(plugin_filename);
@@ -100,5 +100,5 @@
   }
 
-  void GraphicsEngine::loadRessourceLocations(String dataPath)
+  void GraphicsEngine::loadRessourceLocations(std::string dataPath)
   {
     //TODO: Specify layout of data file and maybe use xml-loader
@@ -111,5 +111,5 @@
     ConfigFile::SectionIterator seci = cf.getSectionIterator();
 
-    String secName, typeName, archName;
+    std::string secName, typeName, archName;
     while (seci.hasMoreElements())
     {
@@ -123,5 +123,5 @@
 
         ResourceGroupManager::getSingleton().addResourceLocation(
-                                           String(dataPath + archName),
+                                           std::string(dataPath + archName),
                                            typeName, secName);
       }
Index: /code/branches/FICN/src/orxonox/GraphicsEngine.h
===================================================================
--- /code/branches/FICN/src/orxonox/GraphicsEngine.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/GraphicsEngine.h	(revision 715)
@@ -8,8 +8,8 @@
 #define _GraphicsEngine_H__
 
+#include <string>
+
 #include <OgreRoot.h>
 #include <OgreSceneManager.h>
-
-#include "misc/String.h"
 
 
@@ -22,10 +22,10 @@
     public:
       GraphicsEngine();
-      inline void setConfigPath(String path) { this->configPath_ = path; };
+      inline void setConfigPath(std::string path) { this->configPath_ = path; };
       // find a better way for this
       inline Ogre::Root* getRoot() { return root_; };
       void setup();
       bool load();
-      void loadRessourceLocations(String path);
+      void loadRessourceLocations(std::string path);
       Ogre::SceneManager* getSceneManager();
       void startRender();
@@ -34,6 +34,6 @@
     private:
       Ogre::Root*         root_;        //!< Ogre's root
-      String         configPath_;  //!< path to config file
-      String         dataPath_;    //!< path to data file
+      std::string         configPath_;  //!< path to config file
+      std::string         dataPath_;    //!< path to data file
       Ogre::SceneManager* scene_;       //!< scene manager of the game
 
Index: /code/branches/FICN/src/orxonox/Orxonox.cc
===================================================================
--- /code/branches/FICN/src/orxonox/Orxonox.cc	(revision 714)
+++ /code/branches/FICN/src/orxonox/Orxonox.cc	(revision 715)
@@ -153,12 +153,12 @@
    * @param path path to config (in home dir or something)
    */
-  void Orxonox::init(int argc, char **argv, String path)
+  void Orxonox::init(int argc, char **argv, std::string path)
   {
     //TODO: find config file (assuming executable directory)
     //TODO: read config file
     //TODO: give config file to Ogre
-    String mode;
+    std::string mode;
 //     if(argc>=2)
-//       mode = String(argv[1]);
+//       mode = std::string(argv[1]);
 //     else
 //       mode = "";
@@ -169,15 +169,15 @@
     //mode = "presentation";
     if(ar.errorHandling()) die();
-    if(mode == String("server"))
+    if(mode == std::string("server"))
     {
       serverInit(path);
       mode_ = SERVER;
     }
-    else if(mode == String("client"))
+    else if(mode == std::string("client"))
     {
       clientInit(path);
       mode_ = CLIENT;
     }
-    else if(mode == String("presentation"))
+    else if(mode == std::string("presentation"))
     {
       serverInit(path);
@@ -243,5 +243,5 @@
   }
 
-  void Orxonox::standaloneInit(String path)
+  void Orxonox::standaloneInit(std::string path)
   {
     ogre_->setConfigPath(path);
@@ -262,5 +262,5 @@
   }
 
-  void Orxonox::playableServer(String path)
+  void Orxonox::playableServer(std::string path)
   {
     ogre_->setConfigPath(path);
@@ -296,5 +296,5 @@
   }
 
-  void Orxonox::serverInit(String path)
+  void Orxonox::serverInit(std::string path)
   {
     COUT(2) << "initialising server" << std::endl;
@@ -306,5 +306,5 @@
   }
 
-  void Orxonox::clientInit(String path)
+  void Orxonox::clientInit(std::string path)
   {
     COUT(2) << "initialising client" << std::endl;
@@ -321,5 +321,5 @@
   void Orxonox::defineResources()
   {
-    String secName, typeName, archName;
+    std::string secName, typeName, archName;
     Ogre::ConfigFile cf;
 #if OGRE_PLATFORM == OGRE_PLATFORM_APPLE
@@ -340,5 +340,5 @@
         archName = i->second;
 #if OGRE_PLATFORM == OGRE_PLATFORM_APPLE
-        Ogre::ResourceGroupManager::getSingleton().addResourceLocation( String(macBundlePath() + "/" + archName), typeName, secName);
+        Ogre::ResourceGroupManager::getSingleton().addResourceLocation( std::string(macBundlePath() + "/" + archName), typeName, secName);
 #else
         Ogre::ResourceGroupManager::getSingleton().addResourceLocation( archName, typeName, secName);
@@ -426,5 +426,5 @@
     // fixes auto repeat problem
     #if defined OIS_LINUX_PLATFORM
-      pl.insert(std::make_pair(String("XAutoRepeatOn"), String("true")));
+      pl.insert(std::make_pair(std::string("XAutoRepeatOn"), std::string("true")));
     #endif
 
@@ -432,5 +432,5 @@
     win->getCustomAttribute("WINDOW", &windowHnd);
     windowHndStr << windowHnd;
-    pl.insert(std::make_pair(String("WINDOW"), windowHndStr.str()));
+    pl.insert(std::make_pair(std::string("WINDOW"), windowHndStr.str()));
     inputManager_ = OIS::InputManager::createInputSystem(pl);
 
Index: /code/branches/FICN/src/orxonox/Orxonox.h
===================================================================
--- /code/branches/FICN/src/orxonox/Orxonox.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/Orxonox.h	(revision 715)
@@ -8,4 +8,6 @@
 #define _Orxonox_H__
 
+#include <string>
+
 #include <OgrePrerequisites.h>
 #include <OIS/OISPrereqs.h>
@@ -13,6 +15,4 @@
 #include "OrxonoxPrereqs.h"
 #include "loader/LoaderPrereqs.h"
-
-#include "misc/String.h"
 #include "GraphicsEngine.h"
 
@@ -32,5 +32,5 @@
   {
     public:
-      void init(int argc, char **argv, String path);
+      void init(int argc, char **argv, std::string path);
       void start();
       // not sure if this should be private
@@ -48,9 +48,9 @@
       virtual ~Orxonox();
       // init functions
-      void serverInit(String path);
-      void clientInit(String path);
-      void standaloneInit(String path);
+      void serverInit(std::string path);
+      void clientInit(std::string path);
+      void standaloneInit(std::string path);
       // run functions
-      void playableServer(String path);
+      void playableServer(std::string path);
       void standalone();
       void defineResources();
@@ -66,5 +66,5 @@
     private:
       GraphicsEngine*       ogre_;      //!< our dearest graphics engine <3
-      String           dataPath_;  //!< path to data
+      std::string           dataPath_;  //!< path to data
       loader::LevelLoader*  loader_;    //!< level loader builds the scene
       audio::AudioManager*  auMan_;     //!< audio manager
@@ -79,5 +79,5 @@
       // this is used to identify the mode (server/client/...) we're in
       gameMode              mode_;
-      String           serverIp_;
+      std::string           serverIp_;
   };
 }
Index: /code/branches/FICN/src/orxonox/core/ArgReader.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/ArgReader.cc	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/ArgReader.cc	(revision 715)
@@ -45,5 +45,5 @@
   }
 
-  void ArgReader::checkArgument(String option, String &string, bool must)
+  void ArgReader::checkArgument(std::string option, std::string &string, bool must)
   {
     int argpos = checkOption(option) + 1;
@@ -62,5 +62,5 @@
   }
 
-  void ArgReader::checkArgument(String option, int &integer, bool must)
+  void ArgReader::checkArgument(std::string option, int &integer, bool must)
   {
     int argpos = checkOption(option) + 1;
@@ -78,5 +78,5 @@
   }
 
-  void ArgReader::checkArgument(String option, float &floating, bool must)
+  void ArgReader::checkArgument(std::string option, float &floating, bool must)
   {
     int argpos = checkOption(option) + 1;
@@ -94,5 +94,5 @@
   }
 
-  int ArgReader::checkOption(String option)
+  int ArgReader::checkOption(std::string option)
   {
     for(int i = 1; i < counter_; i++)
Index: /code/branches/FICN/src/orxonox/core/ArgReader.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/ArgReader.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/ArgReader.h	(revision 715)
@@ -35,7 +35,7 @@
 #define _ArgReader_H__
 
+#include <string>
+
 #include "CorePrereqs.h"
-
-#include "misc/String.h"
 
 namespace orxonox {
@@ -45,10 +45,10 @@
     public:
       ArgReader(int argc, char **argv);
-      void checkArgument(String option, String& string, bool must=false);
-      void checkArgument(String option, int& integer, bool must=false);
-      void checkArgument(String option, float& floating, bool must=false);
+      void checkArgument(std::string option, std::string& string, bool must=false);
+      void checkArgument(std::string option, int& integer, bool must=false);
+      void checkArgument(std::string option, float& floating, bool must=false);
       bool errorHandling();
     private:
-      int checkOption(String option);
+      int checkOption(std::string option);
 
     private:
@@ -56,5 +56,5 @@
       char **arguments_;
       bool fail_;
-      String errorStr_;
+      std::string errorStr_;
   };
 
Index: /code/branches/FICN/src/orxonox/core/ClassFactory.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/ClassFactory.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/ClassFactory.h	(revision 715)
@@ -36,7 +36,8 @@
 #define _ClassFactory_H__
 
+#include <string>
+
 #include "CorePrereqs.h"
 
-#include "misc/String.h"
 #include "Factory.h"
 #include "Identifier.h"
@@ -53,5 +54,5 @@
     {
         public:
-            static bool create(const String& name);
+            static bool create(const std::string& name);
             BaseObject* fabricate();
 
@@ -69,5 +70,5 @@
     */
     template <class T>
-    bool ClassFactory<T>::create(const String& name)
+    bool ClassFactory<T>::create(const std::string& name)
     {
         COUT(4) << "*** Create entry for " << name << " in Factory." << std::endl;
